@echo off
REM #############################################################################
REM #       								        #
REM #                             NGM 1.00B UPGRADE                             #
REM #                             SEPTEMBER 2, 1992                             #
REM #		   					     		        #
REM #############################################################################

: This batch file must be copied to and run from the root NGM directory
: (EX: \NGM)


if not exist .\patch.exe goto nopatch
if not exist .\upgrad1b.rtp goto nopatch
cls
echo The NetWare Global Messaging patch v1.00B process may take a few
echo minutes, depending on your system type and the number of files 
echo to be updated.
echo 
echo PATCHING in progress - WORKING !!!

if exist results.txt mv results.txt results.bak

PATCH /S  upgrad1b.rtp   > results.txt
if errorlevel 1 goto FAIL
goto DONE


:NOPATCH
cls
echo 
echo ERROR - Please verify the following files exist in the root NGM directory.
echo 
echo         1. PATCH.EXE
echo         2. UPGRAD1B.RTP
echo         3. PATCHNGM.BAT
echo 
echo         Change to the NGM root directory and type 'PATCHNGM'.
echo 
goto end

:DONE
cls
echo 
echo The NGM 1.00B Upgrade has completed. Please examine the file 'RESULTS.TXT'
echo to verify the successful completion of this upgrade procedure.
goto end

:FAIL
cls
echo 
echo ERROR - An error has occurred which has caused this upgrade from NGM v1.00
echo         to NGM v1.00B to FAIL. Please verify your system configuration and
echo         rerun "PATCHNGM.BAT". If you continue to experience problems,
echo         contact your local Novell representative.
echo 

:END
